<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">

  <!-- freedesktop.org.xml defined this as application/vnd.stardivision.impress. 
    This looks like a conflict. We need a magic match value to resolve this conflict!
  -->
  <mime-type type="application/sdp">
    <comment>Scalable Multicast</comment>
    <glob pattern="*.sdp" />
  </mime-type>


  <!-- Is there a way to identify "audio/3gpp-encrypted" MIME type file 
    using file extension or magic match value?  
  -->
  <mime-type type="audio/3gpp-encrypted">
    <comment>3GPP Encrypted Audio Content</comment>

    <!-- Make subclas of "audio/3gpp" if the same media player can handle
      "audio/3gpp-encrypted" specified as "audio/3gpp". 
      Or, should "audio/3gpp-encrypted" be an alias of "audio/3gpp" if we 
      don't need to use it to trigger a different action? 
    -->
    <sub-class-of type="audio/3gpp"/>
    <alias type="audio/x-3gpp-encrypted"/>
  </mime-type>


  <!-- 3GPP2 MIME Type -->
  <mime-type type="video/3gpp2">
    <comment>3GPP2 multimedia</comment>
    <glob pattern="*.3g2" />
    <glob pattern="*.3gp2" />
    <glob pattern="*.3gpp2" />
    <alias type="video/x-3gpp2"/>
  </mime-type>


  <mime-type type="audio/3gpp2">
    <comment>3GPP2 Audio</comment>
    <sub-class-of type="video/3gpp2"/>
    <alias type="audio/x-3gpp2"/>
  </mime-type>


  <!-- There is no official audio/aac MIME type. -->
  <!-- Add audio/x-aac to audio/mp4 defined in freedesktop.org.xml -->
  <mime-type type="audio/mp4">
    <comment>MPEG-4 Audio</comment>
    <glob pattern="*.aac" />
    <alias type="audio/x-aac"/>
  </mime-type>


  <mime-type type="application/smil+xml">
    <comment>SMIL Multimedia Presentation</comment>
    <glob pattern="*.smi" />
    <glob pattern="*.sml" />
    <glob pattern="*.smil" />
    <alias type="application/smil"/>
    <alias type="application/x-smil"/>
    <sub-class-of type="application/xml"/>
    <sub-class-of type="text/plain"/>
  </mime-type>

  <mime-type type="application/streamingmedia">
    <comment>Streaming Media Metafile</comment>
    <glob pattern="*.ssm" />
    <alias type="application/x-streamingmedia"/>
  </mime-type>

  <mime-type type="audio/x-scpls">
    <comment>Audio PlayList</comment>
    <glob pattern="*.pls" />
    <glob pattern="*.xpl" />
  </mime-type>

  <!-- Add these to audio/3gpp defined in freedesktop.org.xml -->
  <mime-type type="audio/3gpp">
    <comment>3GPP multimedia</comment>
    <alias type="audio/x-rn-3gpp-amr" />
    <alias type="audio/x-rn-3gpp-amr-encrypted"/>
    <alias type="audio/x-rn-3gpp-amr-wb"/>
    <alias type="audio/x-rn-3gpp-amr-wb-encrypted"/>
    <alias type="audio/vnd.rn-3gpp-amr"/>
    <alias type="audio/vnd.rn-3gpp-amr-encrypted"/>
    <alias type="audio/vnd.rn-3gpp-amr-wb"/>
    <alias type="audio/vnd.rn-3gpp-amr-wb-encrypted"/>
    <alias type="audio/amr"/>
    <alias type="audio/amr-encrypted"/>
    <alias type="audio/amr-wb"/>
    <alias type="audio/amr-wb-encrypted"/>
  </mime-type>

  <!-- Add these to video/mp4 defined in freedesktop.org.xml -->
  <mime-type type="video/mp4">
    <comment>MPEG-4 video</comment>
    <alias type="video/mpeg4-generic"/>
  </mime-type>

  <mime-type type="audio/mpeg">
    <comment>MP3 audio</comment>
    <alias type="audio/mpg"/>
    <alias type="audio/rn-mpeg"/>
  </mime-type>

  <mime-type type="audio/wav">
    <comment>WAV audio</comment>
    <alias type="audio/x-pn-wav"/>
    <alias type="audio/x-pn-au"/>
    <alias type="audio/x-pn-windows-acm"/>
    <alias type="audio/x-pn-windows-pcm"/>
  </mime-type>

  <!-- .rms is defined in freedesktop.org.xml as the same as .rm! -->
  <mime-type type="application/vnd.rn-realmedia-secure">
    <comment>Secure RealAudio / RealVideo File</comment>
    <sub-class-of type="application/vnd.rn-realmedia"/>
    <alias type="application/vnd.rn-realaudio-secure"/>
    <alias type="audio/x-realaudio-secure"/>
    <alias type="video/vnd.rn-realvideo-secure"/>
  </mime-type>

  <!-- .rmvb is defined in freedesktop.org.xml as the same as .rm! -->
  <mime-type type="application/vnd.rn-realmedia-vbr">
    <comment>RealAudio / RealVideo VBR</comment>
    <sub-class-of type="application/vnd.rn-realmedia"/>
  </mime-type>

  <!-- .rmj is defined in freedesktop.org.xml as the same as .rm! -->
  <mime-type type="application/vnd.rn-realsystem-rmj">
    <sub-class-of type="application/vnd.rn-realmedia"/>
  </mime-type>

  <!-- .rmx is defined in freedesktop.org.xml as the same as .rm! -->
  <mime-type type="application/vnd.rn-realsystem-rmx">
    <sub-class-of type="application/vnd.rn-realmedia"/>
  </mime-type>


  <!-- Add audio/x-realaudio to audio/vnd.rn-realaudio defined in 
    freedesktop.org.xml. 
  -->
  <mime-type type="audio/vnd.rn-realaudio">
    <comment>RealAudio document</comment>
    <alias type="audio/x-realaudio"/>
  </mime-type>

  <!-- freedesktop.org.xml defined this entry too. -->
  <mime-type type="audio/x-aiff">
    <comment>AIFF Audio</comment>
    <alias type="audio/x-pn-aiff"/>
  </mime-type>



  <mime-type type="application/vnd.rn-realplay">
    <comment>RealPlayer Launch Script</comment>
    <glob pattern="realplay" />
    <sub-class-of type="application/x-shellscript" />
    <sub-class-of type="application/x-executable" />
    <sub-class-of type="text/plain" />
  </mime-type>

  <mime-type type="application/ram">
    <comment>RealMedia Metafile</comment>
    <glob pattern="*.ram" />
    <sub-class-of type="text/plain"/>
  </mime-type>

  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="video/3gpp">
    <comment>3GPP Audio-Video Content</comment>
    <glob pattern="*.3gp" />
    <glob pattern="*.3gpp" />
    <alias type="video/x-3gpp"/>
  </mime-type>
  -->

  <!-- freedesktop.org.xml defined this as an alias of video/3gpp. -->
  <!--
  <mime-type type="audio/3gpp">
    <comment>3GPP Audio Content</comment>

    <sub-class-of type="video/3gpp"/>
    <alias type="audio/x-3gpp"/>
  </mime-type>
  -->



  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="video/vnd.rn-realvideo">
    <comment>RealVideo</comment>
    <glob pattern="*.rv" />
  </mime-type>
  -->

  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="application/vnd.rn-realmedia">
    <comment>RealAudio / RealVideo</comment>
    <glob pattern="*.rm" />
  </mime-type>
  -->



  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="text/vnd.rn-realtext">
    <comment>RealText</comment>
    <glob pattern="*.rt" />
  </mime-type>
  -->



  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="application/ogg">
    <comment>Xiph Ogg/Vorbis/Theora content</comment>
    <glob pattern="*.ogg" />
  </mime-type>
  -->


  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="audio/x-mpegurl">
    <comment>MP3 Audio PlayList</comment>
    <glob pattern="*.m3u" />
  </mime-type>
  -->

  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="audio/x-wav">
    <comment>WAV Audio</comment>
    <glob pattern="*.wav" />
  </mime-type>
  -->

  <!-- freedesktop.org.xml defined this as an alias of audio/mp4. -->
  <!--
  <mime-type type="audio/x-m4a">
    <comment>AAC Audio</comment>
    <glob pattern="*.m4a" />
  </mime-type>
  -->

  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="audio/x-wav">
    <comment>WAV Audio</comment>
    <glob pattern="*.wav" />
  </mime-type>
  -->

  <!-- freedesktop.org.xml defined this entry too. -->
  <!--
  <mime-type type="audio/mpeg">
    <comment>MP3 Audio</comment>
    <glob pattern="*.mp3" />
    <alias type="audio/MPS"/>
    <alias type="audio/MPA"/>
  </mime-type>
  -->

</mime-info>
